# This file is a template, and might need editing before it works on your project.
# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python:latest

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# Pip's cache doesn't store the python packages
# https://pip.pypa.io/en/stable/reference/pip_install/#caching
#
# If you want to also cache the installed packages, you have to install
# them in a virtualenv and cache it as well.
cache:
  paths:
    - .cache/pip
    - venv/

run:
  stage: build
  script:
    - pip install virtualenv
    - virtualenv venv
    - source venv/bin/activate
    - pip3 install -r requirements.txt
    - python3 verify-correct-repo.py
    - echo "blessing the file" >> unsigned.txt && mv unsigned.txt signed.txt
  artifacts:
    paths:
      - signed.txt
    when: on_success
